> ## Documentation Index
> Fetch the complete documentation index at: https://utoken-docs.yoostudio.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Kling Text-to-Video Task Status

> 查询 Kling 文生视频任务的状态和结果。



## OpenAPI

````yaml get /kling/v1/videos/text2video/{task_id}
openapi: 3.1.0
info:
  title: UToken API
  version: 1.0.0
  description: Complete UToken API Reference Documentation
servers:
  - url: https://utoken.yoostudio.ai
    description: Production
security: []
tags:
  - name: Images / Native Gemini Format
  - name: Images / Native OpenAI Format
  - name: Images / Qwen OpenAI Compatible Format
  - name: Realtime Voice
  - name: Content Moderation
  - name: Text Embeddings
  - name: Unimplemented / Fine-tuning
  - name: Unimplemented / File Management
  - name: Models / List Models
  - name: Chat Completions
  - name: Chat Completions / Native Gemini Format
  - name: Chat Completions / Native OpenAI Format
  - name: Text Completions
  - name: Video Generation
  - name: Video Generation / Sora Format
  - name: Video Generation / Jimeng (Dreamina) Format
  - name: Video Generation / Kling AI Format
  - name: Document Reranking
  - name: Audio Processing
  - name: Audio Processing / Native OpenAI Format
paths:
  /kling/v1/videos/text2video/{task_id}:
    get:
      tags:
        - Video Generation / Kling AI Format
      summary: Get Kling Text-to-Video Task Status
      description: Queries the status and results of Kling text-to-video tasks.
      operationId: getklingtext2video
      parameters:
        - name: task_id
          in: path
          required: true
          description: Task ID
          schema:
            type: string
      responses:
        '200':
          description: Success - Task Status Retrieved
          content:
            application/json:
              schema:
                type: object
                description: Video task status query response
                properties:
                  task_id:
                    type: string
                    description: Task ID
                    examples:
                      - abcd1234efgh
                  status:
                    type: string
                    description: Task Status
                    enum:
                      - queued
                      - in_progress
                      - completed
                      - failed
                    examples:
                      - completed
                  url:
                    type: string
                    description: Video Resource URL (when Success)
                    examples:
                      - https://example.com/video.mp4
                  format:
                    type: string
                    description: Video Format
                    examples:
                      - mp4
                  metadata:
                    type: object
                    description: Video Task Metadata
                    properties:
                      duration:
                        type: number
                        description: Actual generated video duration
                        examples:
                          - 5
                      fps:
                        type: integer
                        description: Actual frame rate
                        examples:
                          - 30
                      width:
                        type: integer
                        description: Actual width
                        examples:
                          - 1280
                      height:
                        type: integer
                        description: Actual height
                        examples:
                          - 720
                      seed:
                        type: integer
                        description: Random seed used
                        examples:
                          - 20231234
                    x-apifox-orders:
                      - duration
                      - fps
                      - width
                      - height
                      - seed
                  error:
                    type: object
                    description: Video task error message
                    properties:
                      code:
                        type: integer
                        description: Error code
                      message:
                        type: string
                        description: Error message
                    x-apifox-orders:
                      - code
                      - message
                x-apifox-orders:
                  - task_id
                  - status
                  - url
                  - format
                  - metadata
                  - error
        '404':
          description: Task does not exist
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Error message
                      type:
                        type: string
                        description: Error type
                      param:
                        type:
                          - string
                          - 'null'
                        description: Related parameters
                      code:
                        type:
                          - string
                          - 'null'
                        description: Error code
                    x-apifox-orders:
                      - message
                      - type
                      - param
                      - code
                x-apifox-orders:
                  - error
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Use Bearer Token authentication
        Format: Authorization: Bearer sk-xxxxxx

````